Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog.tags
Class CatalogQueryTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.beasys.commerce.ebusiness.catalog.tags.CatalogQueryTag

public class CatalogQueryTag
extends javax.servlet.jsp.tagext.TagSupport
implements AdviceConstants, AdviceRequestConstants, CatalogRuleConstants

The tag handler of the catalogQuery. The catalogQuery tag allows arbitrary personalized content to be selected based on a catalog query.

See Also:
  Serialized Form

Field Summary
`java.lang.String` | `catalogManagerName` The CatalogManagerName to use for querying.
`java.lang.String` | `expression` The expression for an expression search.
`java.lang.String` | `id` The identifier that holds the results of the CatalogQuery.
`java.lang.String` | `keywords` The keywords for a keyword query.
`int` | `maxResults` The maximum number of results to return.
`int` | `viewSize` View size in the ViewIterator.

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`CatalogQueryTag()`

Method Summary
`int` | `doStartTag()` Processes the start tag.
`java.lang.String` | `getCatalogManagerName()` Get the value of catalogManagerName.
`java.lang.String` | `getExpression()` Get the value of expression.
`java.lang.String` | `getId()` Get the value of id.
`protected ViewIterator` | `getItems()` Get a ViewIterator over catalog items.
`java.lang.String` | `getKeywords()` Get the value of keywords.
`int` | `getMaxResults()` Get the value of maxResults.
`int` | `getViewSize()` Get the value of viewSize.
`void` | `release()` Clean up.
`void` | `setCatalogManagerName(java.lang.String v)` Set the value of catalogManagerName.
`void` | `setExpression(java.lang.String v)` Set the value of expression.
`void` | `setId(java.lang.String v)` Set the value of id.
`void` | `setKeywords(java.lang.String v)` Set the value of keywords.
`void` | `setMaxResults(int v)` Set the value of maxResults.
`void` | `setViewSize(int v)` Set the value of viewSize.

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### catalogManagerName

    public java.lang.String catalogManagerName

  The CatalogManagerName to use for querying.

### maxResults

    public int maxResults

  The maximum number of results to return.

### viewSize

    public int viewSize

  View size in the ViewIterator.

### keywords

    public java.lang.String keywords

  The keywords for a keyword query.

### expression

    public java.lang.String expression

  The expression for an expression search.

### id

    public java.lang.String id

  The identifier that holds the results of the CatalogQuery.

Constructor Detail

### CatalogQueryTag

    public CatalogQueryTag()

Method Detail

### getCatalogManagerName

    public java.lang.String getCatalogManagerName()

  Get the value of catalogManagerName.

  Returns:
    Value of catalogManagerName.

### setCatalogManagerName

    public void setCatalogManagerName(java.lang.String v)

  Set the value of catalogManagerName.

  Parameters:
    `v` - Value to assign to catalogManagerName.

### getMaxResults

    public int getMaxResults()

  Get the value of maxResults.

  Returns:
    Value of maxResults.

### setMaxResults

    public void setMaxResults(int v)

  Set the value of maxResults.

  Parameters:
    `v` - Value to assign to maxResults.

### getViewSize

    public int getViewSize()

  Get the value of viewSize.

  Returns:
    Value of viewSize.

### setViewSize

    public void setViewSize(int v)

  Set the value of viewSize.

  Parameters:
    `v` - Value to assign to viewSize.

### getKeywords

    public java.lang.String getKeywords()

  Get the value of keywords.

  Returns:
    Value of keywords.

### setKeywords

    public void setKeywords(java.lang.String v)

  Set the value of keywords.

  Parameters:
    `v` - Value to assign to keywords.

### getExpression

    public java.lang.String getExpression()

  Get the value of expression.

  Returns:
    Value of expression.

### setExpression

    public void setExpression(java.lang.String v)

  Set the value of expression.

  Parameters:
    `v` - Value to assign to expression.

### getId

    public java.lang.String getId()

  Get the value of id.

  Returns:
    Value of id.
  Overrides:
    getId in class javax.servlet.jsp.tagext.TagSupport

### setId

    public void setId(java.lang.String v)

  Set the value of id.

  Parameters:
    `v` - Value to assign to id.
  Overrides:
    setId in class javax.servlet.jsp.tagext.TagSupport

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Processes the start tag.

  Throws:
    javax.servlet.jsp.JspTagException - If the id variable is missing.
  Overrides:
    doStartTag in class javax.servlet.jsp.tagext.TagSupport

### getItems

    protected ViewIterator getItems()
                             throws javax.servlet.jsp.JspTagException

  Get a ViewIterator over catalog items.

  Returns:
    ViewIterator.

### release

    public void release()

  Clean up.

  Overrides:
    release in class javax.servlet.jsp.tagext.TagSupport

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved